Mangools/API

Get prompt details

Get the list of monitoring prompts attached to a monitor. Each prompt entry includes its id, text, tags, creation and update timestamps, its metrics for the requested date range and its Google AI Overview information.

GET
/aiwatcher/monitor/{id}/prompts

Authorization

ApiKeyAuth
x-access-token<token>

API token issued for your Mangools account, sent as an API key in the x-access-token HTTP header. This is NOT a standard RFC 6750 Authorization: Bearer <token> header. Auto-generated clients should be configured to send the token in x-access-token accordingly.

In: header

Path Parameters

id*string

Response Body

application/json

application/json

curl -X GET "https://api.mangools.com/v3/aiwatcher/monitor/string/prompts"
{
  "dateRange": {
    "from": "string",
    "to": "string"
  },
  "filters": {
    "models": [
      0
    ]
  },
  "prompts": [
    {
      "prompt": {
        "_id": "string",
        "text": "string",
        "tag_ids": [
          "string"
        ],
        "created_at": 0,
        "updated_at": 0
      },
      "metrics": {
        "score": {
          "value": 0,
          "change": 0
        },
        "visibility": {
          "value": 0,
          "change": 0
        },
        "position": {
          "value": 0,
          "change": 0
        },
        "citationsCount": {
          "value": 0,
          "change": 0
        },
        "citationRank": {
          "value": 0,
          "change": 0
        }
      },
      "aio": {
        "hasAio": true
      }
    }
  ]
}
{
  "error": {
    "type": "AuthError",
    "message": "Invalid API Key"
  }
}